#!/bin/bash

if [ $# != 4 ]; then
   echo " ==== ERROR ... you called this script inappropriately."
   echo ""
   echo "   usage:  $0 fragsFILE.frags fastaX fastaY alignments.txt"
   echo ""
   exit -1
fi

MGDIR=/home/galaxy-bitlab/temp

FRAGS=$1
FASTAX=$2
FASTAY=$3
ALIGN=$4

fragsName=$(basename "$1")
fastaXname=$(basename "$2")
fastaYname=$(basename "$3")
alignName=$(basename "$4")
fragsName="${fragsName%.*}"
fastaXname="${fastaXname%.*}"
fastaYname="${fastaYname%.*}"
alignName="${alignName%.*}"

cp $1 $MGDIR/${fragsName}.frags
cp $2 $MGDIR/${fastaXname}.fasta
cp $3 $MGDIR/${fastaYname}.fasta

BINDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# generate indices

$BINDIR/indexmaker $MGDIR/$fastaXname.fasta $MGDIR/$fastaXname.idx
$BINDIR/indexmaker $MGDIR/$fastaYname.fasta $MGDIR/$fastaYname.idx

$BINDIR/reverseComplement $MGDIR/$fastaYname.fasta $MGDIR/$fastaYname.rev
$BINDIR/indexmaker $MGDIR/$fastaYname.rev $MGDIR/$fastaYname.rev.idx

# extract frags

$BINDIR/frags2text $MGDIR/$fragsName.frags $MGDIR/$fastaXname.fasta $MGDIR/$fastaYname.fasta $MGDIR/$fastaYname.rev $MGDIR/$fastaXname.idx $MGDIR/$fastaYname.idx $MGDIR/$fastaYname.rev.idx $MGDIR/$alignName.txt

rm $MGDIR/$fastaXname.idx
rm $MGDIR/$fastaYname.idx
rm $MGDIR/$fastaYname.rev
rm $MGDIR/$fastaYname.rev.idx

mv $MGDIR/$alignName.txt $ALIGN

